import request from '@/utils/request'

// 查询外购件临时列表
export function listSave(query) {
  return request({
    url: '/system/save/list',
    method: 'get',
    params: query
  })
}

// 查询外购件临时详细
export function getSave(id) {
  return request({
    url: '/system/save/' + id,
    method: 'get'
  })
}

// 新增外购件临时
export function addSave(data) {
  return request({
    url: '/system/save',
    method: 'post',
    data: data
  })
}

// 修改外购件临时
export function updateSave(data) {
  return request({
    url: '/system/save',
    method: 'put',
    data: data
  })
}

// 删除外购件临时
export function delSave(id) {
  return request({
    url: '/system/save/' + id,
    method: 'delete'
  })
}
